unit LoginForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons;

type
  TfmLogin = class(TForm)
    lbLogin: TLabel;
    lbPassword: TLabel;
    edLoginName: TEdit;
    edPassword: TEdit;
    lbDataBase: TLabel;
    edDataBase: TEdit;
    btOk: TButton;
    btCancel: TButton;
    lbServer: TLabel;
    edServer: TEdit;
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute(var AServer, ADataBase, ALoginName, APassword: string): boolean;
  end;

var
  fmLogin: TfmLogin;

implementation

{$R *.DFM}

{ TfmLogin }

function TfmLogin.Execute(var AServer, ADataBase, ALoginName, APassword: string): boolean;
begin
  edServer.Text := AServer;
  edDataBase.Text := ADataBase;
  edLoginName.Text := ALoginName;
  edPassword.Text := APassword;

  result := ShowModal = mrOk;
  if result then begin
    AServer := edServer.Text;
    ADataBase := edDataBase.Text;
    ALoginName := edLoginName.Text;
    APassword := edPassword.Text;
  end;
end;

end.
